module Mongrel2.Types
       ( ClientID
       , UUID
       ) where

import Data.ByteString (ByteString)
import Data.Int (Int64)

-- | Client identifier from Mongrel2. This identifies the currently
-- connected client uniquely.
type ClientID = Int64

-- | UUID for communicating with Mongrel2.
type UUID = ByteString

